Bug 1419387

Summary: No cpuscaling item found - RHEL7.3
Product: [Retired] Red Hat Hardware Certification Program Reporter: dhsia
Component: Test Suite (tests)Assignee: Greg Nichols <gnichols>
Status: CLOSED NOTABUG QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: high Docs Contact:
Priority: high    
Version: FEATCC: dhsia, gnichols, goujm1, jkachuck, jtakahashi2, kli2, mknutson, rlandry
Target Milestone: ---Keywords: HwCertBlocker
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-09 03:07:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
sosreport none

Description dhsia 2017-02-06 02:35:35 UTC
Description of problem:
No cpuscaling test items found after we enable os control mode of power management.

Version-Release number of selected component (if applicable):
RHEL 7.3
redhat-certification-4.2-20161122.1.el7.noarch.rpm
redhat-certification-backend-4.2-20161122.1.el7.noarch.rpm
redhat-certification-hardware-4.2-20161116.1.el7.noarch.rpm
redhat-certification-hardware-preview-4.2-20161116.1.el7.noarch.rpm

How reproducible:


Steps to Reproduce:
1. change ‘Operating Modes’ setting to ‘Custom Mode’ in UEFI
2. change ‘Power/Performance Bias’ to ‘OS Controlled’
3. Install RHEL 7.3 OS
4. Install Testkit
5. Use rhcert testkit to plan test items

Actual results:
No cpuscaling test items found

Expected results:
There should be a cpu scaling item

Additional info:
CPU:SKYLAKE 1.8G 165W B0 QL1F 28C 38.5MB/2666 x 4
Memory:MI 64G/2666V 1R*8 MTA9ASF1G72PZ-2G6B1 * 32 (Total: 2T)

Comment 2 Joseph Kachuck 2017-02-10 14:36:44 UTC
Hello Lenovo,
Have you been able to recreate this issue on more then one type of physical system?
Please attach a sosreport from a system seeing this issue.

Thank You
Joe Kachuck

Comment 3 dhsia 2017-02-13 09:44:19 UTC
Hi Joesph, 
1. This issue is found on several 2 sockets and 4 sockets Intel Purley systems. 
2. We are working to get the sosreport.

Comment 4 dhsia 2017-02-14 02:37:30 UTC
Created attachment 1250102 [details]
sosreport

Comment 5 dhsia 2017-02-14 02:38:02 UTC
Upload sosreport

Comment 6 dhsia 2017-02-24 07:52:07 UTC
Any update? or Any more information is required.

Comment 7 Joseph Kachuck 2017-03-01 13:15:45 UTC
Hello Lenovo,
You stated:
> 1. change ‘Operating Modes’ setting to ‘Custom Mode’ in UEFI
Are there any modes you may set the UEFI BIOS to allow the CPU scaling scaling test to be created?

Would you be able to list all of the system models tested that are showing this issue?

Thank You
Joe Kachuck

Comment 8 dhsia 2017-03-09 03:07:41 UTC
This is configuration wrong.
The p-state setting is nor correct in uefi. 
Thanks Joseph's support.